<template lang="pug">
  .navbar-media-button
    a.link(:href="to")
      img.button-img(
        :src="icon"
        :alt='alt'
      )
</template>

<script>
export default {
  props: {
    to: { type: String, required: true },
    icon: { type: String, required: true },
    alt: { type: String, required: true }
  }
}
</script>

<style lang="scss">
.navbar-media-button {
  position: relative;

  height: 100%;

  display: flex;
  padding: 0 0.1em;

  .link {
    margin: auto;
    display: block;

    flex: 1 0 auto;

    transition-duration: 200ms;

    height: 50%;

    .button-img {
      margin: auto;
      height: 100%;
    }
  }

  .link:hover {
    transform: scale(1.1);
  }

  span {
    align-self: center;
    color: black;

    font-size: 1.3em;
  }
}
</style>
